Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sessions
Class SessionEventAdapter

`java.lang.Object
oracle.toplink.sessions.SessionEventAdapter`

All Implemented Interfaces:
  java.util.EventListener, SessionEventListener

public abstract class SessionEventAdapter
extends java.lang.Object
implements SessionEventListener

Purpose: To provide a trivial implemetation of SessionEventListener. You may subclass this class rather than implement the entire SessonEventListener interface in cases where only a small subset of the interface methods are needed.

See Also:
  `SessionEventManager.addListener(SessionEventListener)`, `SessionEventListener`, `SessionEvent`

Constructor Summary
`SessionEventAdapter()`

Method Summary
`void` | `missingDescriptor(SessionEvent event)` PUBLIC: This event is raised on the session if a descriptor is missing for a class being persisted.
`void` | `moreRowsDetected(SessionEvent event)` PUBLIC: This event is raised on the session after read object query detected more than a single row back from the database.
`void` | `noRowsModified(SessionEvent event)` PUBLIC: This event is raised on the session after update or delete SQL has been sent to the database but a row count of zero was returned.
`void` | `outputParametersDetected(SessionEvent event)` PUBLIC: This event is raised on the session after a stored procedure call has been executed that had output parameters.
`void` | `postAcquireClientSession(SessionEvent event)` PUBLIC: This event is raised on the client session after creation/acquiring.
`void` | `postAcquireConnection(SessionEvent event)` PUBLIC: This event is raised on when using the server/client sessions.
`void` | `postAcquireExclusiveConnection(SessionEvent event)` PUBLIC: This event is raised when a ClientSession, with Isolated data, acquires an exclusive connection.
`void` | `postAcquireUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after creation/acquiring.
`void` | `postBeginTransaction(SessionEvent event)` PUBLIC: This event is raised after a database transaction is started.
`void` | `postCalculateUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This event is raised after the commit has begun on the UnitOfWork and after the changes are calculated.
`void` | `postCommitTransaction(SessionEvent event)` PUBLIC: This event is raised after a database transaction is commited.
`void` | `postCommitUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after commit.
`void` | `postConnect(SessionEvent event)` PUBLIC: This event is raised after the session connects to the database.
`void` | `postDistributedMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session
`void` | `postExecuteQuery(SessionEvent event)` PUBLIC: This event is raised after the execution of every query against the session.
`void` | `postLogin(SessionEvent event)` PUBLIC: This Event is raised after the session logs in.
`void` | `postMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged
`void` | `postReleaseClientSession(SessionEvent event)` PUBLIC: This event is raised on the client session after releasing.
`void` | `postReleaseUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after release.
`void` | `postResumeUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after resuming.
`void` | `postRollbackTransaction(SessionEvent event)` PUBLIC: This event is raised after a database transaction is rolledback.
`void` | `preBeginTransaction(SessionEvent event)` PUBLIC: This event is raised before a database transaction is started.
`void` | `preCalculateUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This event is raised after the commit has begun on the UnitOfWork but before the changes are calculated.
`void` | `preCommitTransaction(SessionEvent event)` PUBLIC: This event is raised before a database transaction is commited.
`void` | `preCommitUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work before commit.
`void` | `preDistributedMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session
`void` | `preExecuteQuery(SessionEvent event)` PUBLIC: This event is raised before the execution of every query against the session.
`void` | `preLogin(SessionEvent event)` PUBLIC: This Event is raised before the session logs in.
`void` | `preMergeUnitOfWorkChangeSet(SessionEvent event)` PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged
`void` | `prepareUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work after the SQL has been flushed, but the commit transaction has not been executed.
`void` | `preReleaseClientSession(SessionEvent event)` PUBLIC: This event is raised on the client session before releasing.
`void` | `preReleaseConnection(SessionEvent event)` PUBLIC: This event is raised on when using the server/client sessions.
`void` | `preReleaseExclusiveConnection(SessionEvent event)` PUBLIC: This event is fired just before a Client Session, with isolated data, releases its Exclusive Connection
`void` | `preReleaseUnitOfWork(SessionEvent event)` PUBLIC: This event is raised on the unit of work before release.
`void` | `preRollbackTransaction(SessionEvent event)` PUBLIC: This event is raised before a database transaction is rolledback.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionEventAdapter

    public SessionEventAdapter()

Method Detail

### missingDescriptor

    public void missingDescriptor(SessionEvent event)

  PUBLIC: This event is raised on the session if a descriptor is missing for a class being persisted. This can be used to lazy register the descriptor or set of descriptors.
  Specified by:
    `missingDescriptor` in interface `SessionEventListener`

### moreRowsDetected

    public void moreRowsDetected(SessionEvent event)

  PUBLIC: This event is raised on the session after read object query detected more than a single row back from the database. The "result" of the event will be the call. Some applications may want to interpret this as an error or warning condition.
  Specified by:
    `moreRowsDetected` in interface `SessionEventListener`

### noRowsModified

    public void noRowsModified(SessionEvent event)

  PUBLIC: This event is raised on the session after update or delete SQL has been sent to the database but a row count of zero was returned.
  Specified by:
    `noRowsModified` in interface `SessionEventListener`

### outputParametersDetected

    public void outputParametersDetected(SessionEvent event)

  PUBLIC: This event is raised on the session after a stored procedure call has been executed that had output parameters. If the proc was used to override an insert/update/delete operation then TopLink will not be expecting any return value. This event mechanism allows for a listner to be registered before the proc is call to process the output values. The event "result" will contain a DatabaseRow of the output values, and property "call" will be the StoredProcedureCall.
  Specified by:
    `outputParametersDetected` in interface `SessionEventListener`

### postAcquireClientSession

    public void postAcquireClientSession(SessionEvent event)

  PUBLIC: This event is raised on the client session after creation/acquiring.
  Specified by:
    `postAcquireClientSession` in interface `SessionEventListener`

### postAcquireConnection

    public void postAcquireConnection(SessionEvent event)

  PUBLIC: This event is raised on when using the server/client sessions. This event is raised after a connection is acquired from a connection pool.
  Specified by:
    `postAcquireConnection` in interface `SessionEventListener`

### postAcquireExclusiveConnection

    public void postAcquireExclusiveConnection(SessionEvent event)

  PUBLIC: This event is raised when a ClientSession, with Isolated data, acquires an exclusive connection.
  Specified by:
    `postAcquireExclusiveConnection` in interface `SessionEventListener`

### postAcquireUnitOfWork

    public void postAcquireUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after creation/acquiring. This will be raised on nest units of work.
  Specified by:
    `postAcquireUnitOfWork` in interface `SessionEventListener`

### postBeginTransaction

    public void postBeginTransaction(SessionEvent event)

  PUBLIC: This event is raised after a database transaction is started. It is not raised for nested transactions.
  Specified by:
    `postBeginTransaction` in interface `SessionEventListener`

### preCalculateUnitOfWorkChangeSet

    public void preCalculateUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This event is raised after the commit has begun on the UnitOfWork but before the changes are calculated.
  Specified by:
    `preCalculateUnitOfWorkChangeSet` in interface `SessionEventListener`

### postCalculateUnitOfWorkChangeSet

    public void postCalculateUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This event is raised after the commit has begun on the UnitOfWork and after the changes are calculated. The UnitOfWorkChangeSet, at this point, will contain changeSets without the version fields updated and without IdentityField type primary keys. These will be updated after the insert, or update, of the object
  Specified by:
    `postCalculateUnitOfWorkChangeSet` in interface `SessionEventListener`

### postCommitTransaction

    public void postCommitTransaction(SessionEvent event)

  PUBLIC: This event is raised after a database transaction is commited. It is not raised for nested transactions.
  Specified by:
    `postCommitTransaction` in interface `SessionEventListener`

### postCommitUnitOfWork

    public void postCommitUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after commit. This will be raised on nest units of work.
  Specified by:
    `postCommitUnitOfWork` in interface `SessionEventListener`

### postDistributedMergeUnitOfWorkChangeSet

    public void postDistributedMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session
  Specified by:
    `postDistributedMergeUnitOfWorkChangeSet` in interface `SessionEventListener`

### postMergeUnitOfWorkChangeSet

    public void postMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised after a UnitOfWorkChangeSet has been merged
  Specified by:
    `postMergeUnitOfWorkChangeSet` in interface `SessionEventListener`

### postConnect

    public void postConnect(SessionEvent event)

  PUBLIC: This event is raised after the session connects to the database. In a server session this event is raised on every new connection established.
  Specified by:
    `postConnect` in interface `SessionEventListener`

### postExecuteQuery

    public void postExecuteQuery(SessionEvent event)

  PUBLIC: This event is raised after the execution of every query against the session. The event contains the query and query result.
  Specified by:
    `postExecuteQuery` in interface `SessionEventListener`

### postReleaseClientSession

    public void postReleaseClientSession(SessionEvent event)

  PUBLIC: This event is raised on the client session after releasing.
  Specified by:
    `postReleaseClientSession` in interface `SessionEventListener`

### postReleaseUnitOfWork

    public void postReleaseUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after release. This will be raised on nest units of work.
  Specified by:
    `postReleaseUnitOfWork` in interface `SessionEventListener`

### postResumeUnitOfWork

    public void postResumeUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after resuming. This occurs after pre/postCommit.
  Specified by:
    `postResumeUnitOfWork` in interface `SessionEventListener`

### postRollbackTransaction

    public void postRollbackTransaction(SessionEvent event)

  PUBLIC: This event is raised after a database transaction is rolledback. It is not raised for nested transactions.
  Specified by:
    `postRollbackTransaction` in interface `SessionEventListener`

### preBeginTransaction

    public void preBeginTransaction(SessionEvent event)

  PUBLIC: This event is raised before a database transaction is started. It is not raised for nested transactions.
  Specified by:
    `preBeginTransaction` in interface `SessionEventListener`

### preCommitTransaction

    public void preCommitTransaction(SessionEvent event)

  PUBLIC: This event is raised before a database transaction is commited. It is not raised for nested transactions.
  Specified by:
    `preCommitTransaction` in interface `SessionEventListener`

### preCommitUnitOfWork

    public void preCommitUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work before commit. This will be raised on nest units of work.
  Specified by:
    `preCommitUnitOfWork` in interface `SessionEventListener`

### preExecuteQuery

    public void preExecuteQuery(SessionEvent event)

  PUBLIC: This event is raised before the execution of every query against the session. The event contains the query to be executed.
  Specified by:
    `preExecuteQuery` in interface `SessionEventListener`

### prepareUnitOfWork

    public void prepareUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work after the SQL has been flushed, but the commit transaction has not been executed. It is similar to the JTS prepare phase.
  Specified by:
    `prepareUnitOfWork` in interface `SessionEventListener`

### preReleaseClientSession

    public void preReleaseClientSession(SessionEvent event)

  PUBLIC: This event is raised on the client session before releasing.
  Specified by:
    `preReleaseClientSession` in interface `SessionEventListener`

### preReleaseConnection

    public void preReleaseConnection(SessionEvent event)

  PUBLIC: This event is raised on when using the server/client sessions. This event is raised before a connection is released into a connection pool.
  Specified by:
    `preReleaseConnection` in interface `SessionEventListener`

### preReleaseExclusiveConnection

    public void preReleaseExclusiveConnection(SessionEvent event)

  PUBLIC: This event is fired just before a Client Session, with isolated data, releases its Exclusive Connection
  Specified by:
    `preReleaseExclusiveConnection` in interface `SessionEventListener`

### preReleaseUnitOfWork

    public void preReleaseUnitOfWork(SessionEvent event)

  PUBLIC: This event is raised on the unit of work before release. This will be raised on nest units of work.
  Specified by:
    `preReleaseUnitOfWork` in interface `SessionEventListener`

### preDistributedMergeUnitOfWorkChangeSet

    public void preDistributedMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged When that changeSet has been received from a distributed session
  Specified by:
    `preDistributedMergeUnitOfWorkChangeSet` in interface `SessionEventListener`

### preMergeUnitOfWorkChangeSet

    public void preMergeUnitOfWorkChangeSet(SessionEvent event)

  PUBLIC: This even will be raised before a UnitOfWorkChangeSet has been merged
  Specified by:
    `preMergeUnitOfWorkChangeSet` in interface `SessionEventListener`

### preRollbackTransaction

    public void preRollbackTransaction(SessionEvent event)

  PUBLIC: This event is raised before a database transaction is rolledback. It is not raised for nested transactions.
  Specified by:
    `preRollbackTransaction` in interface `SessionEventListener`

### preLogin

    public void preLogin(SessionEvent event)

  PUBLIC: This Event is raised before the session logs in.
  Specified by:
    `preLogin` in interface `SessionEventListener`

### postLogin

    public void postLogin(SessionEvent event)

  PUBLIC: This Event is raised after the session logs in.
  Specified by:
    `postLogin` in interface `SessionEventListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD